> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Lend Withdraw Token

> Generate a transaction for withdrawing a token from a MarginFi pool.



## OpenAPI

````yaml /openapi/marginfi.json post /v0/lend/{tokenSymbol}/withdraw
openapi: 3.1.1
info:
  title: MarginFi Blinks
  version: 0.0.1
servers:
  - url: https://marginfi.dial.to/api
security: []
paths:
  /v0/lend/{tokenSymbol}/withdraw:
    post:
      tags:
        - Lend
      summary: Lend Withdraw Token
      description: Generate a transaction for withdrawing a token from a MarginFi pool.
      operationId: marginfi.v0.lend.executeWithdraw
      parameters:
        - name: tokenSymbol
          in: path
          required: true
          schema:
            type: string
            description: Token symbol to withdraw
            default: USDC
            example: USDC
          x-default: USDC
          example: USDC
        - name: amount
          in: query
          schema:
            type: number
            minimum: 0.000001
            description: The amount to withdraw. Human readable value, e.g. 100 USDC
          allowEmptyValue: true
          allowReserved: true
        - name: percentage
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            description: The percentage of balance to withdraw
            default: 10
            example: 10
          allowEmptyValue: true
          allowReserved: true
          x-default: 10
          example: 10
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                  example: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
                  example: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````